> For the complete documentation index, see [llms.txt](https://docs.lineverge.com/automail/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.lineverge.com/automail/configurations/ui-configuration/site/selectpickers/tokenfield.md).

# Tokenfield

### 2. tokenfield

```python
{
    "label": "FOB Data",
    "url_name": "grid_fob",
    "allowed_user_groups": [],
    "allowed_users": [],
    "view": controller_views.GridView,
    "view_params": {
        "title": "FOB",
        "selectpickers_columns": 3,
        "selectpickers": [
            ...
            {
                "name": "spend__gte",
                "label": "Spend MIN",
                "category": "tokenfield",
                "url_name": "tokenfield_spend_min",
                "space_as_delimiter": False,
                "placeholder": "Type and hit enter",
            },
            ...
        ]
},
                        
                        
.....


urlpatterns += [
    get_url(
            url_name="tokenfield_spend_min",
            view=api_views.TokenFieldAPI,
            view_params={
                "model": custom_models.FobSpend,
                "search_field_name": "spend",
                "search_operator": "gte",
            },
        ),
]
```

* **name:** The field name in the model
* **label:** The label shown in the selectpickers in automail&#x20;
* **category: tokenfield** category
* **url\_name**: The unique url name which is required in the url\_patterns
* **multiple:** Whether multiple choices are allowed in the type box
* **placeholder:** Instruction showed in the type box


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.lineverge.com/automail/configurations/ui-configuration/site/selectpickers/tokenfield.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
